Phone Request Code
Start the authentication flow with a phone number. The handler will send a one-time code to the provided phone number which must then be sent to the other phone endpoint to verify the number and validate the account.
/auth/phoneStart the authentication flow with a phone number. The handler will send a one-time code to the provided phone number which must then be sent to the other phone endpoint to verify the number and validate the account.
In: cookie
Query Parameters
Unique invitation ID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The phone number request payload.
Response Body
application/json
application/json
curl -X POST "https://example.com/auth/phone" \ -H "Content-Type: application/json" \ -d '{ "identifier": "southclaws", "phone_number": "string" }'{
"id": "string"
}{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}O Auth User Info GET
Return OpenID Connect UserInfo claims for the account represented by a valid bearer access token. Claims are scope-gated: - `openid` identifies the subject. - `profile` enables profile claims such as display name. - `email` enables email claims when the account has an email address. Storyden accounts do not always have email addresses, so email claims may be absent even when the `email` scope is present.
Phone Submit Code PUT
Complete the phone number authentication flow by submitting the one-time code that was sent to the user's phone.